unit unitweaponlist;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm3 }

  TForm3 = class(TForm)
    btn_loadweapon: TButton;
    list_weaponlist: TListBox;
    procedure btn_loadweaponClick(Sender: TObject);
    procedure list_weaponlistDblClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form3: TForm3;

implementation
uses Unit1, filestructure, iniparser;

{$R *.lfm}

{ TForm3 }

procedure TForm3.btn_loadweaponClick(Sender: TObject);
var
  FailGun: RGun;
  FailMunition: RMunition;
  FailExplosion: RExplosion;
  FailMotor: RMotor;
  FailGood: RGood;
begin
  if Length(WeaponList)<>0 then
  begin
    FailGun:=Gun;
    FailMunition:=Munition;
    FailExplosion:=Explosion;
    FailMotor:=Motor;
    FailGood:=Good;

    EmptyGun;
    EmptyMotor;
    EmptyMunition;
    EmptyExplosion;
    EmptyGood;

    if not ParseWeaponIni(WeaponList[list_weaponlist.ItemIndex].path, LowerCase(WeaponList[list_weaponlist.ItemIndex].name)) then
    begin
      Form1.ShowErrorWindow;
      Gun:=FailGun;
      Munition:=FailMunition;
      Explosion:=FailExplosion;
      Motor:=FailMotor;
      Good:=FailGood;
    end;
    Form1.pc_mainChange(Sender);

    Form1.ins_idnamegun.Value:=StartLine;
    Form1.ins_idinfogun.Value:=EndLine;
  end;
end;

procedure TForm3.list_weaponlistDblClick(Sender: TObject);
begin
  btn_loadweaponClick(Sender);
end;

end.

